function obj = algoobj_cfs12combined()

%% Doublets SPC controller algorithm
obj = SCDclass_algo('algo_cfs12combined');

%% Timing of the algorithm
obj=obj.settiming(0,1e-3,1.0);

%% Dummy fixed param to define a dd
obj=obj.addfpinitfcn('algo_cfs12combined_loadfp','algo_cfs12combined_fp');

%% Define cfs1 and cfs2 algo obj in the base workspace
addpath('../cfs1');
addpath('../cfs2');
evalin('base','obj1=algoobj_cfs1; obj1.init; obj1.setup;');
evalin('base','obj2=algoobj_cfs2; obj2.init; obj2.setup;');

%% Referenced data dictionaries
obj=obj.addrefdd('algo_cfs1.sldd','algo_cfs1');
obj=obj.addrefdd('algo_cfs2.sldd','algo_cfs2');

% dd=Simulink.data.dictionary.open('algo_cfs1.sldd');
% dd.addDataSource('algo_cfs12combined.sldd');
% ddd=dd.getSection('Design Data');
% ddd.deleteEntry('algo_cfs2_procout');
% dd=Simulink.data.dictionary.open('algo_cfs2.sldd');
% dd.addDataSource('algo_cfs12combined.sldd');
% ddd=dd.getSection('Design Data');
% ddd.deleteEntry('algo_cfs1_procout');
% 

end

